Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.events
Class DocumentStartEvent

    java.lang.Object
      org.yaml.snakeyaml.events.Event
          org.yaml.snakeyaml.events.DocumentStartEvent

    public final class DocumentStartEvent

extends Event

Marks the beginning of a document.

This event followed by the document's content and a `DocumentEndEvent`.

Nested Class Summary

Nested classes/interfaces inherited from class org.yaml.snakeyaml.events.Event
`Event.ID`

Constructor Summary
`DocumentStartEvent(Mark startMark, Mark endMark, boolean explicit, Integer[] version, Map<String,String> tags)`

Method Summary
`boolean` | `getExplicit()`
`Map<String,String>` | `getTags()` Tag shorthands as defined by the `%TAG` directive.
`Integer[]` | `getVersion()` YAML version the document conforms to.
`boolean` | `is(Event.ID id)`

Methods inherited from class org.yaml.snakeyaml.events.Event
`equals, getArguments, getEndMark, getStartMark, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentStartEvent

    public DocumentStartEvent(Mark startMark,
                              Mark endMark,
                              boolean explicit,
                              Integer[] version,
                              Map<String,String> tags)

Method Detail

### getExplicit

    public boolean getExplicit()

### getVersion

    public Integer[] getVersion()

  YAML version the document conforms to.

  Returns:
    `null`if the document has no explicit `%YAML` directive. Otherwise an array with two components, the major and minor part of the version (in this order).

### getTags

    public Map<String,String> getTags()

  Tag shorthands as defined by the `%TAG` directive.

  Returns:
    Mapping of 'handles' to 'prefixes' (the handles include the '!' characters).

### is

    public boolean is(Event.ID id)

  Specified by:
    `is` in class `Event`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.